Проблемы с WAMPServer 2.0i

Как получить работающий WAMPServer 2.0i с MODX Revolution

У Mary (einsteinsboi) есть большой пост в блоге об использовании WAMPServer 2.0i с MODX Revolution и некоторых проблемах, которые могут возникнуть.

http://codingpad.maryspad.com/2010/01/11/modx-revolution-and-wamp/

Краткая выдержка и пояснения ниже.

WAMPServer использует несоответствующие сборки MySQL Server и MySQL Client

Обычно лучше сразу убедиться, что версии сборок ваших MySQL сервера и клиента одинаковы. Это актуально для любой конфигурации сервера. WAMPServer позволяет создать свой стек с разными комбинациями версий PHP/MySQL.

Проблема появилась в версии PHP 5.2.11 в WAMPServer 2.0i. Он устанавливает свою версию сервера 5.1.36, но версия клиента при этом 5.0.51a. MODX не поддерживает 5.0.51a и следовательно, не будет устанавливаться с такой конфигурацией.

Решение

Чтобы исправить это просто запустите WAMPServer с PHP версии 5.3.0. WAMPServer 2.0i установит сервер 5.1.36 и клиент 5.0.5-dev. Это конечно не оптимально, но позволит запустить Revolution и обеспечит бесперебойную работу без глюков MySQL.

  • Реклама

  • Недавние публикации

  • Недавние комментарии

© 2011 — 2014 MODX Беларусь
По всем вопросам обращаться в компанию Alroniks Experts